List Payment Methods
curl --request GET \
--url https://staging.crossmint.com/api/unstable/payment-methods \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/unstable/payment-methods"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/unstable/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payment Methods
List Payment Methods
List all payment methods for the authenticated user.
API scope required: payment-methods.read
GET
/
unstable
/
payment-methods
List Payment Methods
This endpoint requires a JWT from an external auth provider (Auth0, Firebase, Stytch, etc.) or a custom JWT backed by a JWKS endpoint. Crossmint Auth is not supported.
Headers
API key required for authentication
Query Parameters
Available options:
asc, desc Available options:
bank-account-br, bank-account-co, bank-account-mx-clabe, bank-account-sepa-iban, bank-account-us, bre-b, card, pix Filter to payment methods that have (true) or have not (false) funded a settled offramp payout. When set to false, cards are included in results. Omit to return all payment methods regardless of payout history.
Available options:
false, true Response
200
Returns the list of payment methods
Was this page helpful?

